/*
	RequesterTest.rexx

	Example usage of the Requester functions of ArtEffect's ARexx port.

	Refer to ArtEffect:Rexx/Rexx.doc for a complete command description
*/

address "ArtEffect"

options results

options failat 11

/* Info */
requestnotify "Requester.rexx gives you an overview|over the requester functions|of ArtEffect's ARexx port."

/* Stringrequester */
requeststring title '"string requested"' def '"test string"' prompt "Enter the string to be drawn over the current layer:"
if rc=0 then
	say result
else
	say "Dialog abgebrochen."

/* Filerequester */
requestfile  PATH "ram:" title '"load test picture"'
if rc=0 then
	say result
else
	say "Dialog abgebrochen."

requestfile  PATH "ram:" title '"save test picture"' SAVE
if rc=0 then
	say result
else
	say "Dialog abgebrochen."

/* Zahlenwert */
requestnumber min 0 max 100 def 75 unit "%" prompt "drawing strength"
if rc=0 then
	say result
else
	say "Dialog abgebrochen."

/* Multiple Choice */
requestresponse prompt '"did you like it?"' "Yes|Sure"
say "Answer no." result

