/*
	Create Border
	Copyright  1997 A. Pratsch
	ArtEffect ARexx Script
*/

options results

address "ArtEffect"

requestnumber title '"Create Border"' def 10 min 4 max 100 unit 'Pixel' prompt 'Size'
bordersize = result

/* get picture dimensions into pic.width & pic.height */
get stem pic. pictureinfo

/* outer polygon points */
x1 = 0
y1 = 0
x2 = pic.width
y2 = pic.height

/* inner polygon points */
ix1 = bordersize
iy1 = bordersize
ix2 = pic.width-bordersize
iy2 = pic.height-bordersize

/* color graduate (leave all presets unchanged) */
gradient = 'linear,,,:'

/* top */
points = x1 y1   x2 y1   ix2 iy1   ix1 iy1
'polygon strength 100 gradient 'gradient'0,0,0,'bordersize points

/* bottom */
points = x1 y2   x2 y2   ix2 iy2   ix1 iy2
'polygon strength 100 gradient 'gradient'0,'y2',0,'iy2 points

/* left */
points = x1 y1   ix1 iy1   ix1 iy2   x1 y2
'polygon strength 100 gradient 'gradient'0,0,'ix1',0' points

/* right */
points = x2 y1   ix2 iy1   ix2 iy2   x2 y2
'polygon strength 100 gradient 'gradient || x2',0,'ix2',0' points

